# Package de.dhbwstuttgart.syntaxtree

- Interface Summary
  Interface | Description
  --- | ---
  Generic | Wird von allen Klassen implementiert, welche generische Parameter halten kÃ¶nnen.

- Class Summary
  Class | Description
  --- | ---
  BasicAssumptionClass |
  Class |
  ClassBody |
  ClassHelper |
  Constant | Enthaelt die Eigenschaften einer Konstante (Name, Typ, Modifier, Wert)
  Constructor |
  ExceptionList |
  Field |
  FieldDeclaration | Eine Feldinitialisation steht fÃ¼r eine Felddeklaration mit gleichzeitiger Wertzuweisung Beispiel: 'public Feld FeldVar = FeldWert;'
  FormalParameter |
  GenericDeclarationList | Stellt eine Deklarations-Liste von Generischen Variablen dar.
  GTVDeclarationContext | Beischreibt eine SyntaxTreeNode, welcher die Eigenschaft besitzt, dass bei seiner Deklaration auch Generische Typvariablen deklariert wurden.
  ImportDeclarations | HOTI 4.5.06 Auch wenn es nicht so aussieht, hat diese Klasse einen Sinn :-) Der Parser kann keine Generischen Typen darstellen, damit trotzdem an amap Stellen die Typsicherheit gewÃ¤hrleistet ist, hier eine Kapselung...
  Interface | Ein Interface ist eine abstrakte Klasse, erbt daher von Class
  InterfaceBody | Die Klasse enthaelt den Inhalt eines Interfaces, also Konstanten- und Mehtodendefinitionen.
  Method | Stellt eine Methode dar.
  ParameterList |
  SourceFile |
  SyntaxTreeNode |